POST
Build from a Dockerfile

Authorizations

X-API-Key
string
header
required

An Anona Compute API key (e2b_ followed by lowercase hex).

Path Parameters

templateID
string
required
buildID
string
required

Body

application/json
dockerfile
string
required

The Dockerfile's contents.

contextHash
string
required

sha256 of the uploaded build context, 64 lowercase hex characters.

startCmd
string

Command to run when a sandbox starts, after envd.

noCache
boolean

Response

The build was queued.